# Class BasicBorders.RolloverButtonBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.basic.BasicBorders.ButtonBorder
javax.swing.plaf.basic.BasicBorders.RolloverButtonBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BasicBorders`

public static class BasicBorders.RolloverButtonBorder extends BasicBorders.ButtonBorder
Special thin border for rollover toolbar buttons.

Since:
  1.4

## Field Summary

### Fields declared in class BasicBorders.ButtonBorder

`darkShadow, highlight, lightHighlight, shadow`

## Constructor Summary

Constructors
Constructor
Description
`RolloverButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)`
Constructs a new instance of a `RolloverButtonBorder`.

## Method Summary

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RolloverButtonBorder

public RolloverButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)
Constructs a new instance of a `RolloverButtonBorder`.

Parameters:
  `shadow` - a color of shadow
  `darkShadow` - a color of dark shadow
  `highlight` - a color of highlight
  `lightHighlight` - a color of light highlight